org.appng.xml.platform

## Class Output

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Output

- All Implemented Interfaces:
    Serializable

      public class Output
      extends BaseObject
      implements Serializable

  Defines the output-format and -type to be used.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `format`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Output()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormat()` Defines the output-format to be used.
    `String` | `getType()` Defines the output-type to be used.
    `void` | `setFormat(String value)` Sets the value of the format property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          protected String format

    - #### type

          protected String type

  - ### Constructor Detail

    - #### Output

          public Output()

  - ### Method Detail

    - #### getFormat

          public String getFormat()

      Defines the output-format to be used.
      Returns:
        possible object is `String`

    - #### setFormat

          public void setFormat(String value)

      Sets the value of the format property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Defines the output-type to be used.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.